Package: geb.content

## [Groovy] Interface Navigable

- geb.navigator.BasicLocator

- All Superinterfaces:
    Locator, BasicLocator

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Locator` | `MATCH_ALL_SELECTOR`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Navigator` | `$()`
    `` | `Navigator` | `$(int index)`
    `` | `Navigator` | `$(Range<Integer> range)`
    `` | `Navigator` | `$(Navigator[] navigators)`
    `` | `Navigator` | `$(WebElement[] elements)`
    `` | `Navigator` | `find()`
    `` | `Navigator` | `find(int index)`
    `` | `Navigator` | `find(Range<Integer> range)`
    `<T extends Module>` | `T` | `module(Class<T> moduleClass)` Create and initialize an instance of the given module class.
    `<T extends Module>` | `T` | `module(T module)` Initialize a module instance.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Locator` | `$, $, $, $, $, $, $, $, $, $, $, $, $, $, $, find, find, find, find, find, find, find, find, find, find, find, find, find`
    `interface BasicLocator` | `find, find`

- - ### Method Detail

    - #### Navigator $()

    - #### Navigator $(int index)

    - #### Navigator $(Range<Integer> range)

    - #### Navigator $(Navigator[] navigators)

    - #### Navigator $(WebElement[] elements)

    - #### Navigator find()

    - #### Navigator find(int index)

    - #### Navigator find(Range<Integer> range)

    - #### <T extends Module> T module(Class<T> moduleClass)

      Create and initialize an instance of the given module class.

      Parameters:
        `moduleClass` - a class extending Module
      Returns:
        an initialized instance of the module class passed as the argument

    - #### <T extends Module> T module(T module)

      Initialize a module instance.

      Parameters:
        `module` - an instance of a class extending Module
      Returns:
        the initialized instance passed as the argument